Public Member Functions | Protected Attributes | List of all members
WKS4SpreadsheetInternal::StyleManager Class Reference

the style manager More...

## Public Member Functions
| StyleManager ()
int | add (Style const &st, bool dosFile)
| add a new style and returns its id More...
bool | get (int id, Style &style) const
| returns the style with id More...
int | size () const
| returns the number of style More...
void | print (int id, std::ostream &o) const
| print a style More...

## Protected Attributes
std::vector< Style > | m_stylesList
| the styles More...

## Detailed Description

the style manager

## Constructor & Destructor Documentation

## ◆ StyleManager()

WKS4SpreadsheetInternal::StyleManager::StyleManager | ( |  | ) |
| inline

## Member Function Documentation

## ◆ add()

int WKS4SpreadsheetInternal::StyleManager::add | ( | Style const & | st,
|  | bool | dosFile
| ) |  |
| inline

add a new style and returns its id

## ◆ get()

bool WKS4SpreadsheetInternal::StyleManager::get | ( | int | id,
|  | Style & | style
| ) |  | const
| inline

returns the style with id

## ◆ print()

void WKS4SpreadsheetInternal::StyleManager::print | ( | int | id,
|  | std::ostream & | o
| ) |  | const
| inline

print a style

## ◆ size()

int WKS4SpreadsheetInternal::StyleManager::size | ( |  | ) | const
| inline

returns the number of style

## Member Data Documentation

## ◆ m_stylesList

std::vector<Style> WKS4SpreadsheetInternal::StyleManager::m_stylesList
| protected

the styles

Referenced by add(), get(), print(), and size().

The documentation for this class was generated from the following file:

- WKS4Spreadsheet.cpp